# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.WeaponData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.WeaponData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.WeaponData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# WeaponData 

###
Companion class WeaponData

#### object WeaponData extends Marshallable[WeaponData] with Serializable

Source
  WeaponData.scala

Linear Supertypes
Serializable, Marshallable[WeaponData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WeaponData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(unk1: Int, unk2: Int, fire_mode: Int, cls1: Int, guid1: PlanetSideGUID, slot1: Int, ammo1: CommonFieldData, cls2: Int, guid2: PlanetSideGUID, slot2: Int, ammo2: CommonFieldData): WeaponData

   Overloaded constructor for creating `WeaponData` with two types of ammunition concurrently loaded.

   Overloaded constructor for creating `WeaponData` with two types of ammunition concurrently loaded. This is a common weapon configuration, especially for vehicle-mounted weaponry.

   unk1

     na

   unk2

     na

   fire_mode

     data regarding the currently loaded ammunition type

   cls1

     the code for the first type of object (ammunition) being constructed

   guid1

     the globally unique id assigned to the first type of ammunition

   slot1

     the slot where the first type of ammunition is to be installed in the weapon

   ammo1

     the first ammunition object

   cls2

     the code for the second type of object (ammunition) being constructed

   guid2

     the globally unique id assigned to the second type of ammunition

   slot2

     the slot where the second type of ammunition is to be installed in the weapon

   ammo2

     the second ammunition object

   returns

     a `WeaponData` object

5.  def apply(unk1: Int, unk2: Int, fire_mode: Int, cls: Int, guid: PlanetSideGUID, parentSlot: Int, ammo: CommonFieldData): WeaponData

   Overloaded constructor for creating `WeaponData` that mandates information about the firemode and a single type of ammunition.

   Overloaded constructor for creating `WeaponData` that mandates information about the firemode and a single type of ammunition.

   unk1

     na

   unk2

     na

   fire_mode

     data regarding the currently loaded ammunition type

   cls

     the code for the type of object (ammunition) being constructed

   guid

     the globally unique id assigned to the ammunition

   parentSlot

     the slot where the ammunition is to be installed in the weapon

   ammo

     the ammunition object

   returns

     a `WeaponData` object

6.  def apply(unk1: Int, unk2: Int, cls: Int, guid: PlanetSideGUID, parentSlot: Int, ammo: CommonFieldData): WeaponData

   Overloaded constructor for creating `WeaponData` that mandates information about a single type of ammunition.

   Overloaded constructor for creating `WeaponData` that mandates information about a single type of ammunition.

   unk1

     na

   unk2

     na

   cls

     the code for the type of object (ammunition) being constructed

   guid

     the globally unique id assigned to the ammunition

   parentSlot

     the slot where the ammunition is to be installed in the weapon

   ammo

     the ammunition object

   returns

     a `WeaponData` object

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  implicit val codec: Codec[WeaponData]
   Definition Classes
     WeaponData → Marshallable
10.  def decode(a: BitVector): Attempt[DecodeResult[WeaponData]]
    Definition Classes
      Marshallable
11.  def encode(a: WeaponData): Attempt[BitVector]
    Definition Classes
      Marshallable
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[WeaponData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped